Initialize a transaction

Securely send all the needed parameters to the transaction initialization API. The result of this API call is a HTTP 201 status code with a transactionId in the response body and the Location header set. This call is required to proceed with our Redirect and Lightbox integration

Body Params
int64

The amount of the transaction in the currency’s smallest unit. For example use 1000 for CHF 10.00. Can be omitted for use cases where only a registration should take place (if the payment method supports registrations)

string
required
length between 3 and 3

3 letter ISO-4217 character code. For example CHF or USD

string
required
length between 1 and 40

The merchant's reference number. It should be unique for each transaction.

string
length between 0 and 40

Optional customer's reference number. Supported by some payment methods or acquirers.

customer
object

Whenever the payment method supports customer details, the customer object can be used. The required fields may vary depending on the payment method. For example, in some cases the field birthDate is mandatory.

billing
object
shipping
object

The address where the article(s) should be sent to.

order
object

If supported by the payment method, an order with one or more articles can be defined.

boolean

Whether to automatically settle the transaction after an authorization or not. If not present with the init request, the settings defined in the dashboard ('Authorisation / Settlement' or 'Direct Debit') will be used. Those settings will only be used for web transactions and not for server to server API calls.

option
object
string
enum
length between 2 and 2

This parameter specifies the language (language code) in which the payment page should be presented to the cardholder. The ISO-639-1 two letter language codes listed above are supported

redirect
object

The redirect object is used to customize the browser behaviour when using the payment page (Redirect or Lightbox Mode) to do a transaction.

theme
object

The theme (including configuration options) to be used when rendering the payment page.

webhook
object

Used to define the webhook configuration. If not set, the webhook configuration from the merchant configuration will be used.

paymentMethods
array of strings

An array of payment method shortnames. For example ["VIS", "PFC"]. If omitted, all available payment methods will be displayed on the payment page. If the Mobile SDKs are used (returnMobileToken), this array is mandatory.

paymentMethods
card
ALP
object

Alipay+ specific parameters

AZP
object

Amazon Pay specific request parameters

BON
object

Boncard specific request parameters

DVI
object

DVI has no specific request parameters but we need an empty object here to handle it as a DVI request.

ELV
object

ELV specific payment parameters.

EPS
object

EPS specific request parameters

ESY
object
GPA
object

Giropay specific request parameters

INT
object
KLN
object
MBP
object

MobilePay specific parameters

MDP
object
MFA
object

MFA specific parameters. At least an empty MFA object is required if MFA should be processed. Even if no additional parameters are sent.

MFX
object

MFX specific parameters

MPX
object

MPX specific parameters

PAP
object

PayPal specific parameters

PFC
object
PFP
object
PLU
object
PSC
object

Paysafecard specific request parameters

REK
object

Reka card specific parameters

SWB
object

Swissbilling specific parameters.

SWH
object

Swish specific parameters

SWP
object

SwissPass specific parameters

TWI
object
VPS
object

Vipps specific parameters

WEC
object

WeChat specific parameters

dcc
object

For DCC data obtained from a previous DCC request for a given credit card, currency, and amount, use correlationId. Otherwise, for DCC data obtained from external sources, provide currency, amount, and rate. If DCC data is supplied, the payment page will bypass the DCC selection view and proceed directly to the 3D Secure process. Authorization will use the provided DCC data. If credit card details were used when obtaining the DCC data, they must also be provided.

mcp
object
metadata
object

Merchant reference data

airlineData
object

The airline data including ticket details.

accertify
object

Accertify decision (Accepted, Review, Declined

threeRIData
object
extensions
object

An object for additional data for customized processes.

Responses

Language
Credentials
Basic
base64
:
URL
Response
Choose an example:
application/json